Package org.gradle.ide.visualstudio

## Interface TextProvider

-     @Incubating
      public interface TextProvider

  Provides access to the content of a generated text file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.StringBuilder` | `asBuilder()` | Get the content as a `StringBuilder`, permitting direct modification.
    `java.lang.String` | `getText()` | The text content.
    `void` | `setText​(java.lang.String value)` | Replace the content.

- - ### Method Detail

    - #### getText

          java.lang.String getText()

      The text content.

    - #### setText

          void setText​(java.lang.String value)

      Replace the content.

    - #### asBuilder

          java.lang.StringBuilder asBuilder()

      Get the content as a `StringBuilder`, permitting direct modification.